﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace ReadOnlyRowBackground
{
    public class ReadOnlyStyle : StyleSelector
    {
        public Style ReadOnlyStyleProperty { get; set; }

        public override Style SelectStyle(object item, DependencyObject container)
        {
            if (item is Club)
            {
                Club club = item as Club;
                if (club.IsChampion == true)
                {
                    return this.ReadOnlyStyleProperty;
                }
                else
                {
                    return base.SelectStyle(item, container);
                }
            }

            return null;
        }
    }
}
